@import url(./toolbar.css);
@import url(./nodes.css);
@import url(./svg.css);

* {
    box-sizing: border-box;
    font-family: 'Segoe UI', Tahoma, Geneva, Verdana, sans-serif;
    color: var(--text-color);
}

body, html {
    margin: 0;
    padding: 0;
    cursor: var(--cursor);
    user-select: none;
}

body {
    width: 100vw;
    height: 100vh;
    overflow: hidden;
    pointer-events: none;
}

body * {
    pointer-events: all;
}

:root {
    --box-top-color: #444444;
    --box-color: #545454;
    --guides-color: #FE48FC;

    --text-color: #D9D9D9;
}

.box {
    background-color: var(--box-color);
    border-top: solid 6px var(--box-top-color);
    user-select: none;
}

#workspace {
    position: fixed;
    left: 0;
    top: 0;
    width: 100vw;
    height: 100vh;
    z-index: -1;
}

#result {
    position: fixed;
    z-index: 2;
    bottom: 8px;
    right: 8px;
    width: 256px;
    height: 256px;
    border: solid 1px white;

    display: flex;
    align-items: center;
    justify-content: center;

    overflow: hidden;
}